%define module_name Benchmark-Featureset-ParamCheck
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Validator.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/String.pm) perl(Module/Runtime.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Params/Validate.pm) perl(Mouse.pm) perl(Mouse/Util/TypeConstraints.pm) perl(Params/Check.pm) perl(Params/Validate.pm) perl(Params/ValidationCompiler.pm) perl(Ref/Util.pm) perl(Ref/Util/XS.pm) perl(Scalar/Util.pm) perl(Specio/Declare.pm) perl(Specio/Library/Builtins.pm) perl(Test/Modern.pm) perl(Type/Params.pm) perl(Type/Tiny/XS.pm) perl(Types/Standard.pm) perl(namespace/autoclean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: compare different parameter validation modules
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Benchmark-Featureset-ParamCheck

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOBYINK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A whole bunch of implementations for sub paramater checking.

Each implementation provides a method to check a hash of the form shown
in the example. It should have three keys, 'integer' (value should be
an integer), 'hashes' (value should be an arrayref of hashrefs), and
'object' (value should be an object with `print' and `close' methods).

This is intended for benchmarking.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CREDITS COPYRIGHT Changes LICENSE README
%perl_vendor_privlib/B*

%changelog
* Thu May 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- regenerated from template by package builder

* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- initial import by package builder

